Skip to content
Hockay API
Esc
↑↓navigate↵open⌘Jpreview

One arena or neutral site

GET/arenas/{slug}
Authorization
x-api-keyAPI key · headerrequired
Path parameters
slugstringrequired

Arena slug

Responses
200

OK

dataArenaOrNeutralSiterequired
Show properties
One of:
Arena
slugstringrequired
namestringrequired
nameTranslationstring | nullrequired
capacityintegerrequired
min -9007199254740991 · max 9007199254740991
lorestring | nullrequired
buildingstring | nullrequired
teamIdstringrequired
NeutralSite
slugstringrequired
namestringrequired
capacityintegerrequired
min -9007199254740991 · max 9007199254740991
locationstringrequired
announcementstring | nullrequired
lorestring | nullrequired
buildingstring | nullrequired
304

Not modified (If-None-Match matched the ETag)

401

Missing, unknown, revoked, or expired key

errorobjectrequired
Show properties
codestringrequired
messagestringrequired
403

This account cannot use this key class

errorobjectrequired
Show properties
codestringrequired
messagestringrequired
404

Not found (or not public yet)

errorobjectrequired
Show properties
codestringrequired
messagestringrequired
429

Rate limited; retry after the Retry-After seconds

errorobjectrequired
Show properties
codestringrequired
messagestringrequired
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://hockay.com/api/v1/arenas/string' \
  -H 'x-api-key: YOUR_API_KEY' \
  -H 'Accept: application/json'
Response
{
  "data": {
    "slug": "string",
    "name": "string",
    "nameTranslation": "string",
    "capacity": -9007199254740991,
    "lore": "string",
    "building": "string",
    "teamId": "string"
  }
}

Was this page helpful?